Home > How To > How To Install Ns 2.31 In Ubuntu

How To Install Ns 2.31 In Ubuntu

Contents

Done Building dependency tree Reading state information... Tcl.cc: In member function ‘void Tcl::eval(char*)’: Tcl.cc:182: warning: deprecated conversion from string constant to ‘char*’ Tcl.cc: In member function ‘int TclObject::traceVar(const char*, TclObject*)’: Tcl.cc:421: warning: deprecated conversion from string constant to TKhan Hey there, I'm new in ns2. OnDemandData::OnDemandData(REAL); } then give ./install Ns-allinone package has been installed successfully. have a peek at this web-site

I haven't access or changed any of these files but don't know why I m getting this. Exiting ... Posts: 16,276 Rep: # 8 . Author archive Thursday, May 12, 2011 ns-2, ubuntu Previous post Next post 64 thoughts on “Installing ns-2.34 on Ubuntu11.04” Add yours Yara Saturday, May 14, 2011 at 2:04 Reply Excellent post http://www.linuxquestions.org/questions/linux-newbie-8/ns-2-make-error-4175479282/

How To Install Ns 2.31 In Ubuntu

Please note that mail sent to the list is publicly distributed and archived. make[1]: Leaving directory `/home/leach/ns2/ns-allinone-2.34/ns-2.34/indep-utils/webtrace-conv/dec' make[1]: Entering directory `/home/leach/ns2/ns-allinone-2.34/ns-2.34/indep-utils/webtrace-conv/epa' make[1]: Nothing to be done for `all'. Join our community today! I got the very same errors and will try to avoid them by casting types.

Documentation includes a tutorial (originally fromMarc Greis) and a reference manual (ns notes and documentation). •   Words, words, words... There are files you need to modified as follows: otcl-1.13/configure tools/ranvar.cc mobile/nakagami.cc tcl8.4.18/unix/Makefile.in ns-2.34/Makefile ns-2.34/Makefile.in  Due to the linking error problem : otcl.o: In function `OTclDispatch': /home/abdusy/ns-allinone-2.34/otcl-1.13/otcl.c:495: undefined reference to `__stack_chk_fail_local' why are terminal consoles still used? Posts: 16,276 Rep: # 11.

I have the same error, can you help me : for i in indep-utils/cmu-scen-gen/setdest indep-utils/webtrace-conv/dec indep-utils/webtrace-conv/epa indep-utils/webtrace-conv/nlanr indep-utils/webtrace-conv/ucb; do ( cd $i; make all; ) done make[1]: Entering directory `/home/leach/ns2/ns-allinone-2.34/ns-2.34/indep-utils/cmu-scen-gen/setdest' make[1]: Exiting … Tcl is not part of the ns project. If it complains about X libraries, add path to your X libraries into LD_LIBRARY_PATH. http://ramakrishnamundugar.blogspot.com/2012/10/installing-ns-231-in-ubuntu-1204.html LikeLike furqan Says: March 20, 2013 at 16:11 just login from root directory and try to follow the above steps LikeLike sameer awasthi Says: February 27, 2013 at 06:31 | Reply

Introduction to Linux - A Hands on Guide This guide was created as an overview of the Linux Operating System, geared toward new users as an exploration tour and getting started Reply Ashish Tuesday, January 10, 2012 at 19:40 Reply HI!! mac/mac-802_11Ext.cc:863:46: error: ‘struct hdr_cmn’ has no member named ‘mod_scheme_’ ch->txtime() = mac_->txtime(ch->size(), ch->mod_scheme_); ^ mac/mac-802_11Ext.cc: In member function ‘void TXC::generateRTSFrame(Packet*)’: mac/mac-802_11Ext.cc:1070:6: error: ‘struct hdr_cmn’ has no member named ‘mod_scheme_’ ch->mod_scheme_= (ModulationScheme)mac_->phymib_.getBasicModulationScheme(); Download your favorite Linux distribution at LQ ISO.

How To Install Ns2 In Ubuntu

Please check that you typed the location correctly and try again. dig this Can you please share your experience and patches/packages installed. How To Install Ns 2.31 In Ubuntu The case is curious. Almost all variants of TCP, several forms of multicast, wired networking,several ad hoc routing protocols and propagation models (but not cellular phones),data diffusion, satellite, and other stuff.

If you are using csh, you can set it like: setenv LD_LIBRARY_PATH If you are using sh, you can set it like: export LD_LIBRARY_PATH= (2) You MUST put /home/user/Desktop/ns-allinone-2.34/tcl8.4.18/library into your I used to work with Ubuntu 10.04 LTS, but now I want to try Ubuntu 12.04. template. make[1]: Leaving directory `/home/ganesh/ns2/ns-allinone-2.34/ns-2.34/indep-utils/webtrace-conv/ucb' [email protected]:~/ns2/ns-allinone-2.34/ns-2.34$ LikeLike Hassan Says: April 14, 2014 at 10:21 | Reply Hi,thank you for forum.

Otherwise ns/nam will complain during startup. Send an email [email protected] Reply MAMRO Monday, September 26, 2011 at 14:00 Reply Hi Erlend, I assume the above solution is for Ubuntu 11.04 32bits. [email protected]:~/yashu/ns-allinone-2.34/ns-2.34$ Reply aram Wednesday, October 26, 2011 at 12:32 Reply hi, I try to install ns2.34 on 11.04, and I follow all the above steps but I have buffer overflow yet! I want to install ns2.28 in order to work with 802.11e MAC possible under linux 9.10 that I'm more used to.

In Ubuntu 12.04, the compiler version is 4.6. Reply Ravinder Nath Saturday, February 11, 2012 at 4:38 Reply * Build Stanford GraphBase ============================================================ Making sgb gcc34 -g -I/usr/local/sgb/include -DDATA_DIRECTORY=\"/usr/local/sgb/data/\" -c gb_io.c make: gcc34: Command not found make: *** [gb_io.o] Checking for errno.h… No.

zlib can build but will be open to possible string-format security vulnerabilities.

I have installed ns2 through Ubuntu Software Center because I couldn't install with Terminal. In file included from mac/mac-802_11Ext.cc:66:0: mac/mac-802_11Ext.h: In member function ‘u_int32_t PHY_MIBExt::getHdrLen11()’: mac/mac-802_11Ext.h:175:19: error: expected primary-expression before ‘struct’ mac/mac-802_11Ext.h:175:41: error: ‘dh_body’ was not declared in this scope mac/mac-802_11Ext.h:175:51: error: ‘offsetof’ was not Especially the ones starting with ‘Install gcc-4.4 and g++-4.4 including…' It might help. nam doesnt have any problems running during the validation tests, its only when I run it from a simulation .tcl script.

LikeLike Poojitha Says: April 14, 2016 at 14:54 | Reply Hello Sir, I had successfully installed ns-2.34 in ubuntu 12.04 but when I run the command ./configure I got this error: I suggest you to use ns-2.35 instead. I will repeat the advice I gave to Chang who commented a few hours before you, for the record. So based on this error either you didn't run configure, or the configure step didn't work completely.

thank you in advance, i will try g++ --version later. –amiruldin Apr 27 '14 at 12:28 You should never import any source code (including makefiles) into a word processor I want to simulate routing protocol of WSN like LEACH,DEED,GAF etc. Thank you very much. type [/code] at text end, and [code] at text start : http://www.linuxquestions.org/questi....php?do=bbcode - knudfl View Public Profile View LQ Blog View Review Entries View HCL Entries Find More Posts by

Flat homogeneous network TCL Script Hierarchical heterogeneous network TCL Script Installing ns-2.34 on Ubuntu 12.04 First, do the same things as you would do for the ns-2.34 and Ubuntu 10.10 installation, To install gcc-4.4 and g++-4.4 do following command : STEP 1:  ~$ sudo apt-get install gcc-4.4 g++-4.4 First of all before installing NS-2, you need to update and install your Ubuntu library. Why is this child portrait not compelling? up vote 0 down vote favorite actually, im quite new to ubuntu 10.04, and i used it to proceed with my cognitive radio project.

Also remember to run the ns binary by using the full path, so that you don't mistakenly run an earlier installed version from the /usr/bin or similar directory." Cheers, Erlend Reply then Add a line #include after line 64 in the header of the file: ns-allinone-2.34\ns-2.34\mac\mac-802_11Ext.h and then give ./install If suppose following error occurs mannasim/onDemandData.o mannasim/onDemandData.cc mannasim/onDemandData.cc: In constructor ‘OnDemandData::OnDemandData()’: mannasim/onDemandData.cc:44:33: zlib can build but will be open to possible buffer-overflow security vulnerabilities. make: gcc-4.4: Command not found make: *** [regcomp.o] Error 127 tcl8.4.18 make failed!

They hope these examples will help you to get a better understanding of the Linux system and that you feel encouraged to try out things on your own. This was from the last attempt of ns2.29 under Fedora12 . asked 2 years ago viewed 520 times active 2 years ago Blog How Do Software Developers in New York, San Francisco, London and Bangalore… Related 5Installing PyLucene 3.0.3 on Ubuntu 10.044How I tried to install it under Ubuntu 8.04, 9.10 and Fedora 12 (all of them running in VMware) but I always get the same error.

thanks for reply! You could do this using the command sudo apt-get install xorg-dev g++ xgraph And then it is important to install the version 4.4 of the compilers.